## kio-extras 25.12.0

=== debian/changelog ===
kio-extras (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:22:28 +0000
