## kio-extras 25.12.0+p24.04+vstable+git20251224.0549

=== debian/changelog ===
kio-extras (4:25.12.0+p24.04+vstable+git20251224.0549-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 05:49:18 +0000

kio-extras (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:40:43 +1000
