## kio-extras 25.12.0+p24.04+vstable+git20260101.0019

=== debian/changelog ===
kio-extras (4:25.12.0+p24.04+vstable+git20260101.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:19:29 +0000
