## kio-extras 25.12.0+p24.04+vstable+git20260103.0020

=== debian/changelog ===
kio-extras (4:25.12.0+p24.04+vstable+git20260103.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:20:36 +0000
