## kio-extras 25.12.1+p24.04+vstable+git20260128.0351

=== debian/changelog ===
kio-extras (4:25.12.1+p24.04+vstable+git20260128.0351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 03:51:11 +0000

kio-extras (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:31:38 +1000
